<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RemoveDriverPoiItem StructType
 * @subpackage Structs
 */
class RemoveDriverPoiItem extends AbstractStructBase
{
    /**
     * The RemovePoiToDriverId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $RemovePoiToDriverId;
    /**
     * Constructor method for RemoveDriverPoiItem
     * @uses RemoveDriverPoiItem::setRemovePoiToDriverId()
     * @param int $removePoiToDriverId
     */
    public function __construct($removePoiToDriverId = null)
    {
        $this
            ->setRemovePoiToDriverId($removePoiToDriverId);
    }
    /**
     * Get RemovePoiToDriverId value
     * @return int
     */
    public function getRemovePoiToDriverId()
    {
        return $this->RemovePoiToDriverId;
    }
    /**
     * Set RemovePoiToDriverId value
     * @param int $removePoiToDriverId
     * @return \StructType\RemoveDriverPoiItem
     */
    public function setRemovePoiToDriverId($removePoiToDriverId = null)
    {
        // validation for constraint: int
        if (!is_null($removePoiToDriverId) && !(is_int($removePoiToDriverId) || ctype_digit($removePoiToDriverId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($removePoiToDriverId, true), gettype($removePoiToDriverId)), __LINE__);
        }
        $this->RemovePoiToDriverId = $removePoiToDriverId;
        return $this;
    }
}
